Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.enterprise.deploy.shared
Class StateType

    java.lang.Object
      javax.enterprise.deploy.shared.StateType

public class StateType
extends java.lang.Object

Class StateTypes defines enumeration values for the DeploymentStatus object.

Author:
  rsearls

Field Summary
`static StateType` | `COMPLETED` The action operation has completed normally.
`static StateType` | `FAILED` The action operation has failed.
`static StateType` | `RELEASED` The DeploymentManager is running in discommected mode.
`static StateType` | `RUNNING` The action operation is running normally.

Constructor Summary
`protected` | `StateType(int value)` Construct a new enumeration value with the given integer value.

Method Summary
`protected StateType[]` | `getEnumValueTable()` Returns the enumeration value table for class StateType
`protected int` | `getOffset()` Returns the lowest integer value used by this enumeration value's enumeration class.
`static StateType` | `getStateType(int value)` Return an object of the specified value.
`protected java.lang.String[]` | `getStringTable()` Returns the string table for class StateType
`int` | `getValue()` Returns this enumeration value's integer value.
`java.lang.String` | `toString()` Return the string name of this StateType or the integer value if outside the bounds of the table

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### RUNNING

    public static final StateType RUNNING

  The action operation is running normally.

### COMPLETED

    public static final StateType COMPLETED

  The action operation has completed normally.

### FAILED

    public static final StateType FAILED

  The action operation has failed.

### RELEASED

    public static final StateType RELEASED

  The DeploymentManager is running in discommected mode.

Constructor Detail

### StateType

    protected StateType(int value)

  Construct a new enumeration value with the given integer value.

Parameters:
  `value` - Integer value.

Method Detail

### getValue

    public int getValue()

  Returns this enumeration value's integer value.

  Returns:
    the value

### getStringTable

    protected java.lang.String[] getStringTable()

  Returns the string table for class StateType

### getEnumValueTable

    protected StateType[] getEnumValueTable()

  Returns the enumeration value table for class StateType

### getStateType

    public static StateType getStateType(int value)

  Return an object of the specified value.

  Parameters:
    `value` - a designator for the object.

### toString

    public java.lang.String toString()

  Return the string name of this StateType or the integer value if outside the bounds of the table

### getOffset

    protected int getOffset()

  Returns the lowest integer value used by this enumeration value's enumeration class.

  The default implementation returns 0.

  Returns:
    the offset of the lowest enumeration value.

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.